Send SMS
GET
https://api.movider.co/v1/smsSend SMS message
Recent Requests
| Time | Status | User Agent |
|---|---|---|
| Make a request to see history. | ||
Form Data
api_key string required
Your API key.
api_secret string required
Your API Secret.
to string required
The number that the message should be sent. Numbers must be specified in E.164 format. Use commas (,) for multiple receivers (the maximum is 1000 numbers).
from string
- The "from" field indicates the sender name or brand name used for sending messages to the recipient.
- If you do not fill a sender name or brand name in the "from" field, the system will automatically use the default sender name.
- You can send SMS messages with your own customized sender name by registering it with Movider.
- Please note that the "from" field is case-sensitive. Ensure the sender name matches the case (lowercase or uppercase) you registered with Movider.
text string required
- For trial accounts, you are unable to edit the body message or sender name. The system automatically sends a default message with a default sender. If you would like to customize both the message and sender name, please upgrade your account.
- If you do not provide a sender name, or if the sender name does not match the one in your registration, the system will automatically send a default message with a default sender name. Please ensure that your sender name is correct before sending.
callback_url string
The webhook endpoint of the delivery report for this SMS to send. This parameter overrides the webhook endpoint set in dashboard.
callback_method string
The method of webhook of the delivery report. Choose between GET or POST.
Headers
accept string enum — defaults to application/json
Generated from available response content types
application/jsonapplication/xml
Responses
Example Request
Response
Click Send to see the response.